// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface OperationDFPFOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.OperationDFPF)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>bool modEna = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The modEna.
   */
  boolean getModEna();

  /**
   * <pre>
   * Constant power factor excitation setting  PFExtSet: PFExtSet set to true = overexcited; PFExtSet
   * set to false = underexcited
   * </pre>
   *
   * <code>bool pFExtSet = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The pFExtSet.
   */
  boolean getPFExtSet();

  /**
   * <pre>
   * Applies when generating.  Target power factor setting when generating.  The power factor target
   * is a number between -1 and 1, and is used in conjunction with PFExtSet to indicate whether it to
   * make it over or under excited.
   * </pre>
   *
   * <code>float pFGnTgtMxVal = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The pFGnTgtMxVal.
   */
  float getPFGnTgtMxVal();
}
